Why am I unable to add a payment method (TLS error)?

The new industry standard for security mandates that TLS 1.2 be utilized on the backend of all mobile apps. If you’re receiving the error “Please update your OS to support TLS 1.2 or greater or visit thelevelup.com/login to manage your credit cards.”, it means that your device’s current operating system doesn’t meet certain security requirements.

 

To add a new payment method, we recommend that users update their devices to the latest operating system. For older devices, this may not resolve that error. In those instances, you can update your card by signing into your account via LevelUp’s website and adding a new payment method.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request